#include <bits/stdc++.h>
using namespace std;
int n,q,a[200005],b[200005];
int brute(int B){
    int N=n;
    int med=N/2+1;
    int A[200005];
    int rez=0;
    for(int i=1;i<=n;i++){
        A[i]=a[i];
    }
    sort(A+1,A+N+1);
    while(A[med]!=B){
        rez++;
        A[N+1]=B;
        N++;
        med=N/2+1;
        sort(A+1,A+N+1);
    }
    return rez;
}
int main(){
    scanf("%d%d", &n, &q);
    for(int i=1;i<=n;i++){
        scanf("%d", &a[i]);
    }
    for(int i=1;i<=q;i++){
        scanf("%d", &b[i]);
    }
    for(int i=1;i<=q;i++){
        printf("%d\n", brute(b[i]));
    }


return 0;}